Subject: Re: [bug#42885] Merge wip-swc

From: Arun Isaac <[email-masked]>
Date: Tue, 20 Oct 2020 00:15:19 +0530

> I looked at this today, but my rust-foo is very, very weak.
> I tried to compile this:
>
>   https://github.com/swc-project/swc/blob/master/examples/usage.rs

I managed to get this working. Please see the attached tarball. The
steps to test are:

Unpack the tarball and change directory.
Clone the swc git repo.
Build and run using cargo.

--8<---------------cut here---------------start------------->8---
tar xvf miniswc.tar.gz
cd miniswc
git clone https://github.com/swc-project
cargo run
--8<---------------cut here---------------end--------------->8---

src/main.rs in the tarball is a slightly modified version of
examples/usage.rs in the swc git repo. On running, it transpiles the
file foo.ts and outputs to stdout.

The next step is to see if this is any good for building MathJax from
source.

Cheers!